Vai al contenuto
fas elena

Trasformare Linee O Curve In Forme Tubolari

Recommended Posts

Chiedo scusa in primix se per caso ho sbagliato qualcosa nel creare questa nuova discussione, leggo spesso questo forum ma non ricordo di averne mai creata una nuova.

La mia domanda vi sembrerà semplice, ma per me purtroppo non lo è...

Vorrei sapere se esiste un comando o uno scrip o qualcosa che mi permetta di estrudere (tipo"_PIPE") più di una linea o una curva.

Devo creare una specie di gabbia strutturale della quale, per ora, ho creato solo le linee centrali e siccome sono taaaaantissime non vorrei estruderle 1x1. :wacko:

So che in 3dstudio si può renderizzare un tubolare avendo solo le linee ma purtroppo a me servono modellate, ho cercato un comando per modellarle tutte insieme anche da lì, ma non ci sono riuscita.

Vi ringrazio tantissimo!!

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

basta una richerchina nei rhinolabs

http://en.wiki.mcneel.com/default.aspx/McNeel/RsPipeAll.html

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

' PipeAll.rvb -- September 2008

' If this code works, it was written by Rajaa Issa.

' If not, I don't know who wrote it.

' Works with Rhino 4.0.

Option Explicit

Sub PipeOne(strRail, strRadius)

Dim strCmd

strCmd = "! _-Pipe _SelID " & strRail & " " & strRadius & " _Cap=_Round _Enter _Enter"

Call Rhino.Command(strCmd, 0)

End Sub

Sub PipeAll

Dim arrCurves, name, pipeRadius

arrCurves = Rhino.GetObjects("Select curves to pipe", 4)

pipeRadius = Rhino.GetReal("Pipe radius")

'PIPE

If IsArray(arrCurves) Then

For Each name In arrCurves

Call PipeOne(name, pipeRadius)

Next

End If

End Sub

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Rhino.AddStartupScript Rhino.LastLoadedScriptFile

Rhino.AddAlias "PipeAll", "_NoEcho _-RunScript (PipeAll)"

cmq grasshopper o forse http://en.wiki.mcneel.com/default.aspx/McN...urvePiping.html

ti posso essere di aiuto

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Ti ringrazio tantissimo!!Ho guardato nei link che mi hai segnalato e penso che quello che fa al caso mio sia la stinga di comandi che mi hai scritto tu e che presumo sia lo script. Premetto che sono totalmente ignorante su come fare per farlo funzionare, ho guardato anche tra gli aiuti del programma ma non sono riuscita a capire dove lo devo copiare...mi potresti aiutare?

Il testo dello script è questo vero?

Option Explicit

Sub PipeOne(strRail, strRadius)

Dim strCmd

strCmd = "! _-Pipe _SelID " & strRail & " " & strRadius & " _Cap=_Round _Enter _Enter"

Call Rhino.Command(strCmd, 0)

End Sub

Sub PipeAll

Dim arrCurves, name, pipeRadius

arrCurves = Rhino.GetObjects("Select curves to pipe", 4)

pipeRadius = Rhino.GetReal("Pipe radius")

'PIPE

If IsArray(arrCurves) Then

For Each name In arrCurves

Call PipeOne(name, pipeRadius)

Next

End If

End Sub

Ancora grazie mille!!

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

OK! funziona!! Grazie, ancora però non capisco in che unità di misura funziona...ossia quando mi chiede il raggio inserisco anche diversi valori ma alla fine lo fa sempre uguale, come mai?

P.S.scusa se approfitto della tua disponibilità... :P

Condividi questo messaggio


Link al messaggio
Condividi su altri siti

Crea un account o accedi per commentare

Devi essere un utente per poter lasciare un commento

Crea un account

Registrati per un nuovo account nella nostra comunità. è facile!

Registra un nuovo account

Accedi

Hai già un account? Accedi qui.

Accedi ora

  • Navigazione recente   0 utenti

    Non ci sono utenti registrati da visualizzare in questa pagina.

×